Package org.gradle.plugins.ide.eclipse.model

# Interface FileReference

public interface FileReference
A reference to a file in eclipse.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `File`
  `getFile()`
  Returns the target file.
  `String`
  `getJarURL()`
  Returns the jar URL of the file
  `String`
  `getPath()`
  Returns the logical path for the file.
  `boolean`
  `isRelativeToPathVariable()`
  Returns true if this reference is relative to a path variable.

- ## Method Details

  - ### getPath

    String getPath()
    Returns the logical path for the file.

  - ### getFile

    File getFile()
    Returns the target file.

  - ### getJarURL

    String getJarURL()
    Returns the jar URL of the file

  - ### isRelativeToPathVariable

    boolean isRelativeToPathVariable()
    Returns true if this reference is relative to a path variable.